org.bdgenomics.adam.instrumentation

# Timers

###
Related Doc: package instrumentation

#### object Timers extends Metrics

Contains Timers that are used to instrument ADAM.

Annotations
  @deprecated
Deprecated

  (Since version ADAM 0.32.0) this object will be removed

Linear Supertypes
Metrics, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Timers
2. Metrics
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val BQSRInDriver: Timer

5. #### val BroadcastJoinAndGroupByRight: Timer

6. #### val BroadcastingKnownSnps: Timer

7. #### val BuildingTrees: Timer

8. #### val CheckingForMask: Timer

9. #### val CollectingSnps: Timer

10. #### val ComputeCovariates: Timer

11. #### val ComputeQualityScore: Timer

12. #### val ComputingCycleCovariate: Timer

13. #### val ComputingDinucCovariate: Timer

14. #### val ComputingOriginalScores: Timer

15. #### val ConvertToSAM: Timer

16. #### val ConvertToSAMRecord: Timer

17. #### val ConvertToVcf: Timer

18. #### val CreateIndelRealignmentTargets: Timer

19. #### val CreateReferencePositionPair: Timer

20. #### val CreateSequenceDictionary: Timer

21. #### val CreatingKnownSnpsTable: Timer

22. #### val CreatingRecalibrationTable: Timer

23. #### val FinalizingRealignments: Timer

24. #### val FindTargets: Timer

25. #### val FullOuterShuffleJoin: Timer

26. #### val GetExtraValues: Timer

27. #### val GetReferenceFromFile: Timer

28. #### val GetReferenceFromReads: Timer

29. #### val GrowingTrees: Timer

30. #### val InnerBroadcastJoin: Timer

31. #### val InnerShuffleJoin: Timer

32. #### val InvertingRecalibrationTable: Timer

33. #### val JoinTargets: Timer

34. #### val LeftOuterShuffleJoin: Timer

35. #### val LoadAlignments: Timer

36. #### val LoadBam: Timer

37. #### val LoadBed: Timer

38. #### val LoadCoverage: Timer

39. #### val LoadFasta: Timer

40. #### val LoadFastaSequences: Timer

41. #### val LoadFastaSlices: Timer

42. #### val LoadFastq: Timer

43. #### val LoadFeatures: Timer

44. #### val LoadFragments: Timer

45. #### val LoadGenotypes: Timer

46. #### val LoadGff3: Timer

47. #### val LoadGtf: Timer

48. #### val LoadIndexedBam: Timer

49. #### val LoadIndexedVcf: Timer

50. #### val LoadInterleavedFastq: Timer

51. #### val LoadInterleavedFastqFragments: Timer

52. #### val LoadIntervalList: Timer

53. #### val LoadNarrowPeak: Timer

54. #### val LoadPairedFastq: Timer

55. #### val LoadPairedFastqFragments: Timer

56. #### val LoadParquet: Timer

57. #### val LoadReferenceFile: Timer

58. #### val LoadSequenceDictionary: Timer

59. #### val LoadSequences: Timer

60. #### val LoadSlices: Timer

61. #### val LoadUnpairedFastq: Timer

62. #### val LoadVariants: Timer

63. #### val LoadVcf: Timer

64. #### val MapTargets: Timer

65. #### val MarkDuplicatesInDriver: Timer

66. #### val MarkReads: Timer

67. #### val ObservationAccumulatorComb: Timer

68. #### val ObservationAccumulatorSeq: Timer

69. #### val ObservingRead: Timer

70. #### val PerformDuplicateMarking: Timer

71. #### val QueryingRecalibrationTable: Timer

72. #### val ReadCovariates: Timer

73. #### val ReadResidues: Timer

74. #### val RealignIndelsInDriver: Timer

75. #### val RealignTargetGroup: Timer

76. #### val RecalibrateRead: Timer

77. #### val RightOuterBroadcastJoin: Timer

78. #### val RightOuterBroadcastJoinAndGroupByRight: Timer

79. #### val RightOuterShuffleJoin: Timer

80. #### val RightOuterShuffleJoinAndGroupByLeft: Timer

81. #### val RunningMapSideJoin: Timer

82. #### val SAMSave: Timer

83. #### val SaveAsADAM: Timer

84. #### val SaveAsVcf: Timer

85. #### val ScoreAndMarkReads: Timer

86. #### val ShuffleJoinAndGroupByLeft: Timer

87. #### val SortAlignments: Timer

88. #### val SortAlignmentsByIndex: Timer

89. #### val SortTargets: Timer

90. #### val SortingRightSide: Timer

91. #### val SweepReadOverReferenceForQuality: Timer

92. #### val SweepReadsOverConsensus: Timer

93. #### val TreeJoin: Timer

94. #### val TrimCigar: Timer

95. #### val TrimLowQualityInDriver: Timer

96. #### val TrimMDTag: Timer

97. #### val TrimRead: Timer

98. #### val TrimReadsInDriver: Timer

99. #### val WriteADAMRecord: Timer

100. #### val WriteBAMRecord: Timer

101. #### val WriteCRAMRecord: Timer

102. #### val WriteSAMRecord: Timer

103. #### final def asInstanceOf[T0]: T0

     Definition Classes
       Any

104. #### val clock: Clock

     Definition Classes
       Metrics

105. #### def clone(): AnyRef

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

106. #### final def eq(arg0: AnyRef): Boolean

     Definition Classes
       AnyRef

107. #### def equals(arg0: Any): Boolean

     Definition Classes
       AnyRef → Any

108. #### def finalize(): Unit

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws( classOf[java.lang.Throwable] )

109. #### final def getClass(): Class[_]

     Definition Classes
       AnyRef → Any

110. #### def hashCode(): Int

     Definition Classes
       AnyRef → Any

111. #### final def isInstanceOf[T0]: Boolean

     Definition Classes
       Any

112. #### final def ne(arg0: AnyRef): Boolean

     Definition Classes
       AnyRef

113. #### final def notify(): Unit

     Definition Classes
       AnyRef

114. #### final def notifyAll(): Unit

     Definition Classes
       AnyRef

115. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

116. #### def timer(name: String): Timer

     Definition Classes
       Metrics

117. #### def toString(): String

     Definition Classes
       AnyRef → Any

118. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

119. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

120. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from Metrics

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped